import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * <b>Programm:</b> WaveJNI<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert, Milan Altenburg<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> Startwindow
 */
public class WaveJNIFrame extends JFrame{
  
  static final int MAIN_WINDOW_WIDTH = 350;
  static final int MAIN_WINDOW_HEIGHT = 375;
  
  /**
   * constructor
   */
  public WaveJNIFrame(){
    setTitle("Wave");
    setSize(MAIN_WINDOW_WIDTH,MAIN_WINDOW_HEIGHT);
    addWindowListener(new WindowCallback()); //close window on X
    getContentPane().add(new WaveJNIMain());
    setVisible(true);
  }
}

/**
 * Callback class to exit application on windowclose
 */
class WindowCallback extends WindowAdapter {
  public void windowClosing(WindowEvent _window_event){
    System.exit(0);
  }
}
